package nckd.jxccl.sit.hcsi.formplugin.web.datacomparison;

import kd.bos.form.IFormView;
import kd.bos.form.events.BeforeClosedEvent;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.sdk.plugin.Plugin;

/**
 * Tyx 2025-11-11 【nckd_detailcomparebill】
 * 社保明细差异对比单列表插件
 */
public class DetailCompareBillList extends AbstractListPlugin implements Plugin {

    /**
     * 关闭前判断下有没有父页面 有的话一并关掉
     * @param e
     */
    @Override
    public void beforeClosed(BeforeClosedEvent e) {
        IFormView parentView = this.getView().getParentView();
        if (parentView != null) {
            parentView.invokeOperation("close");
            this.getView().sendFormAction(parentView);
        }
    }
}